<?php
declare(strict_types=1);
namespace Fbrinker\ExtensionCheck\Command;

use Fbrinker\ExtensionCheck\Extension\ExtensionCheck;
use Fbrinker\ExtensionCheck\Extension\ExtensionDetails;
use Fbrinker\ExtensionCheck\Parser\FileParser;
use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;
use Symfony\Component\Console\Style\SymfonyStyle;

class CheckCommandFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        return new CheckCommand(
            new class { public function __invoke($input, $output) { return new SymfonyStyle($input, $output); } },
            $container->get(FileParser::class),
            $container->get(ExtensionDetails::class),
            $container->get(ExtensionCheck::class),
        );
    }
}